sincos.hpp File Reference

Go to the source code of this file.

## Namespaces

namespace | Gecode
| Gecode toplevel namespace
namespace | Gecode::Float
| Floating point numbers.
namespace | Gecode::Float::Trigonometric
| Trigonometric propagators

## Macros

#define | I0__PI_2I FloatVal(0,pi_half_upper())
#define | IPI_2__PII FloatVal(pi_half_lower(),pi_upper())
#define | IPI__3PI_2I FloatVal(pi_lower(),3*pi_half_upper())
#define | I3PI_2__2PII FloatVal(3*pi_half_lower(),pi_twice_upper())
#define | POS(X)
#define | ASININF_DOWN r.asin_down(aSinIv.min())
#define | ASINSUP_UP r.asin_up(aSinIv.max())

## Functions

template<class V>
void | Gecode::Float::Trigonometric::aSinProject (Rounding &r, const V &aSinIv, FloatNum &iv_min, FloatNum &iv_max, int &n_min, int &n_max)

## Macro Definition Documentation

## I0__PI_2I

#define I0__PI_2I FloatVal(0,pi_half_upper())

## IPI_2__PII

#define IPI_2__PII FloatVal(pi_half_lower(),pi_upper())

## IPI__3PI_2I

#define IPI__3PI_2I FloatVal(pi_lower(),3*pi_half_upper())

## I3PI_2__2PII

#define I3PI_2__2PII FloatVal(3*pi_half_lower(),pi_twice_upper())

## POS

#define POS | ( |  | X | ) |

Value:
((I0__PI_2I.in(X))?0: (IPI_2__PII.in(X))?1: (IPI__3PI_2I.in(X))?2: 3 )
I0__PI_2I
#define I0__PI_2I
IPI__3PI_2I
#define IPI__3PI_2I
IPI_2__PII
#define IPI_2__PII

## ASININF_DOWN

#define ASININF_DOWN r.asin_down(aSinIv.min())

## ASINSUP_UP

#define ASINSUP_UP r.asin_up(aSinIv.max())